Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class DefaultSkinImpl

    java.lang.Object
      org.richfaces.skin.BasicSkinImpl
          org.richfaces.skin.AbstractChainableSkinImpl
              org.richfaces.skin.DefaultSkinImpl

All Implemented Interfaces:
  org.richfaces.skin.Skin

    public class DefaultSkinImpl

extends AbstractChainableSkinImpl

Since:
  3.2
Author:
  nick belaevski

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.skin.Skin
`org.richfaces.skin.Skin.Preferable`

Field Summary

Fields inherited from class org.richfaces.skin.BasicSkinImpl
`RENDER_KIT_PARAMETER`

Fields inherited from interface org.richfaces.skin.Skin
`ACTIVETAB_STYLE_FONT, ACTIVETAB_WEIGHT_FONT, ADDITIONAL_BACKGROUND_COLOR, BASE_SKIN, BUTTON_FAMILY_FONT, BUTTON_RADIUS_CORNER, BUTTON_SIZE_FONT, BUTTON_STYLE_FONT, BUTTON_WEIGHT_FONT, CONTROL_BACKGROUND_COLOR, CONTROL_BORDER_COLOR, DISABLED_TAB_STYLE_FONT, DISABLED_TAB_WEIGHT_FONT, EXTENDED_STYLE_SHEET, GENERAL_BACKGROUND_COLOR, GENERAL_LINK_COLOR, GENERAL_SIZE_FONT, GENERAL_STYLE_SHEET, GENERAL_TEXT_COLOR, GRADIENT_TYPE, HEAD_TEXT_COLOR, HEADER_BACKGROUND_COLOR, HEADER_FAMILY_FONT, HEADER_GRADIENT_COLOR, HEADER_SIZE_FONT, INTERFACE_LEVEL_3D, LOAD_STYLE_SHEETS, OVER_ALL_BACKGROUND, PANEL_RADIUS_CORNER, PANEL_TEXT_COLOR, PREFERABLE_TAB_POSITION, PREFERABLE_TAB_TEXT_DIRECTION, PREFERABLE_TAB_TEXT_ORIENTATION, SELECT_BACKGROUND_COLOR, SELECT_CONTROL_COLOR, SHADOW_BACKGROUND_COLOR, SHADOW_OPACITY, TAB_FAMILY_FONT, TAB_RADIUS_CORNER, TAB_SIZE_FONT, TAB_STYLE_FONT, TAB_WEIGHT_FONT, TABLE_BACKGROUND_COLOR, TABLE_BORDER_COLOR`

Method Summary
`protected org.richfaces.skin.Skin` | `getBaseSkin(javax.faces.context.FacesContext context)`

Methods inherited from class org.richfaces.skin.AbstractChainableSkinImpl
`containsProperty, containsProperty, executeOperation, hashCode, localContainsProperty, localResolveSkinParameter, resolveSkinParameter, resolveSkinParameter`

Methods inherited from class org.richfaces.skin.BasicSkinImpl
`computeHashCode, decodeColor, getColorParameter, getColorParameter, getLocalParameter, getParameter, getParameter, getRenderKitId, getSkinParams, getValueReference, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBaseSkin

    protected org.richfaces.skin.Skin getBaseSkin(javax.faces.context.FacesContext context)

  Specified by:
    `getBaseSkin` in class `AbstractChainableSkinImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.